Skip to main content
POST
/
integrations
/
external
/
tasks
Criação de tarefa
curl --request POST \
  --url https://api.wegly.com.br/integrations/external/tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "crm_task_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "start_date": "2023-11-07T05:31:56Z",
  "crm_task_stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "responsible_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "crm_lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "crm_deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "crm_delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "priority": 0,
  "description": "<string>",
  "mentions": [
    {
      "mentioned_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "end_date": "2023-11-07T05:31:56Z",
  "meeting_outcome": 1,
  "meeting_outcome_notes": "<string>",
  "is_personal": true,
  "create_meeting": true,
  "create_event": true,
  "create_online_meeting_link": true,
  "meeting_provider": "teams_integration",
  "meeting_participants": [
    "jsmith@example.com"
  ],
  "reminders_minutes": [
    2
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "description": "<string>",
  "is_personal": true,
  "priority": 0,
  "start_date": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "meeting_outcome": 1,
  "meeting_outcome_notes": "<string>",
  "ai_processed": true,
  "ai_status": 0,
  "ai_error_log": "<string>",
  "ai_last_action": 1,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "crm_task_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "crm_task_stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "crm_lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "crm_deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "crm_delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "recurrence_series_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "recurrence_index": 123,
  "recurrence_is_exception": true,
  "is_recurring": true,
  "recurrence": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "pattern": "every_n_days",
    "interval": 123,
    "week_days": [
      "sunday"
    ],
    "end_type": "none",
    "start_date": "2023-11-07T05:31:56Z",
    "end_date": "2023-11-07T05:31:56Z",
    "until_date": "2023-11-07T05:31:56Z",
    "index": 123,
    "is_exception": true
  },
  "responsible_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_by": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "avatar": "<string>"
  },
  "responsible": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "avatar": "<string>"
  },
  "crm_task_type": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "icon": "<string>",
    "is_meeting": true
  },
  "crm_task_stage": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "color": "<string>",
    "is_completion": true,
    "position": 123
  },
  "crm_lead": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "code": "<string>",
    "status": 123
  },
  "crm_deal": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "code": "<string>",
    "status": 123
  },
  "crm_delivery": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "code": "<string>",
    "status": 123
  },
  "mentions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "mentioned": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "avatar": "<string>"
      },
      "mentioned_by": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "avatar": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "recordings": [
    {
      "recording_url": "<string>",
      "transcription_url": "<string>",
      "duration": 123
    }
  ],
  "reminders_minutes": [
    123
  ],
  "meeting_link": "<string>",
  "meeting_participants": [
    "jsmith@example.com"
  ],
  "meeting_provider": "teams_integration",
  "provider": "teams_integration",
  "sync_warning": "<string>"
}

Authorizations

Authorization
string
header
required

Utilize o token de integração no header Authorization: Bearer {token}. O domínio de origem (Origin/Referer) deve respeitar allowed_domain, quando configurado na chave.

Body

application/json
crm_task_type_id
string<uuid>
required
title
string
required
Maximum string length: 100
start_date
string<date-time>
required
crm_task_stage_id
string<uuid>
responsible_id
string<uuid>
crm_lead_id
string<uuid>
crm_deal_id
string<uuid>
crm_delivery_id
string<uuid>
priority
enum<integer>
Available options:
0,
1,
2,
3
description
string
mentions
object[]
end_date
string<date-time>
meeting_outcome
enum<integer>
Available options:
1,
2,
3,
4
meeting_outcome_notes
string
is_personal
boolean
create_meeting
boolean
create_event
boolean
meeting_provider
enum<string>
Available options:
teams_integration,
google_calendar_integration
meeting_participants
string<email>[]
reminders_minutes
integer[]
Required range: x >= 1
recurrence
object

Response

Tarefa criada com sucesso.

id
string<uuid>
title
string
description
string | null
is_personal
boolean
priority
enum<integer>
Available options:
0,
1,
2,
3
start_date
string<date-time> | null
end_date
string<date-time> | null
completed_at
string<date-time> | null
meeting_outcome
enum<integer> | null
Available options:
1,
2,
3,
4
meeting_outcome_notes
string | null
ai_processed
boolean
ai_status
enum<integer>
Available options:
0,
1,
2,
3
ai_error_log
string | null
ai_last_action
enum<integer> | null
Available options:
1,
2,
3
created_at
string<date-time>
updated_at
string<date-time>
crm_task_type_id
string<uuid>
crm_task_stage_id
string<uuid>
crm_lead_id
string<uuid> | null
crm_deal_id
string<uuid> | null
crm_delivery_id
string<uuid> | null
recurrence_series_id
string<uuid> | null
recurrence_index
integer | null
recurrence_is_exception
boolean
is_recurring
boolean
recurrence
object
responsible_id
string<uuid> | null
created_by
object
responsible
object
crm_task_type
object
crm_task_stage
object
crm_lead
object
crm_deal
object
crm_delivery
object
mentions
object[]
recordings
object[]
reminders_minutes
integer[]
meeting_participants
string<email>[]
meeting_provider
enum<string>
Available options:
teams_integration,
google_calendar_integration
provider
enum<string>
Available options:
teams_integration,
google_calendar_integration
sync_warning
string | null